> For the complete documentation index, see [llms.txt](https://docs.agilefi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agilefi.org/agile.js/atoken-methods/repay-borrow.md).

# Repay Borrow

Repays a borrowed Ethereum asset for the user or on behalf of another Ethereum address.

* `asset` (string) A string of the asset that was borrowed (must be a supported underlying asset).
* `amount` (number | string | BigNumber) A string, number, or BigNumber object of the amount of an asset to borrow. Use the `mantissa` boolean in the `options` parameter to indicate if this value is scaled up (so there are no decimals) or in its natural scale.
* `[borrower]` (string | null) The Ethereum address of the borrower to repay an open borrow for. Set this to `null` if the user is repaying their own borrow.
* `noApprove` (boolean) Explicitly prevent this method from attempting an ERC-20 `approve` transaction prior to sending the subsequent repayment transaction.
* `[options]` (CallOptions) Call options and Ethers.js overrides for the transaction. A passed `gasLimit` will be used in both the `approve` (if not supressed) and `repayBorrow` or `repayBorrowBehalf` transactions.
* `RETURN` (object) Returns an Ethers.js transaction object of the repayBorrow or repayBorrowBehalf transaction.

```
const agile = new Agile(window.ethereum);

(async function() {

  console.log('Repaying Usdc borrow...');
  const address = null; // set this to any address to repayBorrowBehalf
  const trx = await agile.repayBorrow(Agile.USDC, 32, address);

  console.log('Ethers.js transaction object', trx);

})().catch(console.error);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agilefi.org/agile.js/atoken-methods/repay-borrow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
